from ase import Atoms
from ase.optimize import BFGS
from gpaw import GPAW

atoms = Atoms('H2O', positions=[[0.,0.,-1.],
                                [0.,0.,1.],
                                [0.,1.,0.]])

atoms.calc = GPAW(mode='lcao', basis='dzp', txt='gpaw.txt')
atoms.center(vacuum=3.0)

opt = BFGS(atoms, trajectory='opt.traj', logfile='opt.log')
opt.run(fmax=0.05)
