from gpaw import GPAW
from ase.spacegroup import crystal

a = 4.6
c = 2.95

# Rutile TiO2:
atoms = crystal(['Ti', 'O'], basis=[(0, 0, 0), (0.3, 0.3, 0.0)],
                spacegroup=136, cellpar=[a, a, c, 90, 90, 90])

lat = atoms.cell.get_bravais_lattice()
print(lat.description())
assert lat.name == 'TET'

calc = GPAW(mode='pw', kpts={'density': 1.0}, txt='gpaw.txt')
atoms.calc = calc
atoms.get_potential_energy()

path = atoms.cell.bandpath('GXMGZRAZ,XR,MA', density=25)
path.write('path.json')

calc.set(fixdensity=True, kpts=path, symmetry='off')
atoms.get_potential_energy()

bs = calc.band_structure()
#bs = path.free_electron_band_structure()
bs.write('bs.json')
